package com.yc.ship.module.ota.api.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;


/**
 * 分销商充值
 */
@Schema(description = "RPC 服务 - 分销商交易")
@Data
public class DistributorRechargeReqDTO {


    @Schema(description = "付款人ID", example = "旅行社ID、分销商ID")
    private String accountId;

    @Schema(description = "门店id",example = "111")
    private Long storeId;

    @Schema(description = "账号类型", example = "旅行社 0、分销商 1、会员 2")
    private Integer accountType;

    @Schema(description = "交易金额", example = "")
    private BigDecimal amount;

    @Schema(description = "支付类型", example = "1预付款、 2授信，3线上支付")
    private Integer rechargeType;

    @Schema(description = "交易类型",example = "交易类型(1 余额充值、2 授信充值、4 余额购票、5余额退票、6授信充值、7授信购票、8授信退款、9定向库存消费、10定向库存退款、11预付款自助充值、12定向库存购买、13定向库存回收)")
    private Integer tradeType;

    @Schema(description = "订单号",example = "111")
    private String orderId;
    @Schema(description = "是否固定的支付方式，0否、1是",example = "111")
    private Integer isFixed;

    @Schema(description = "退单号",example = "111")
    private Long refundId;

    @Schema(description = "分配类型", example = "0充值 、1分配")
    private Integer rechargeDistributeType;

    @Schema(description = "分配类型", example = "1增加 2减少")
    private Integer mode;
}
