package com.yc.ship.module.ota.controller.admin.distributorproduct.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.yc.ship.module.ota.controller.admin.distributorproduct.vo.product.ProductGroupRespVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

@Schema(description = "管理后台 - 平台产品与分销商关系 Response VO")
@Data
@ExcelIgnoreUnannotated
public class DistributorProductRespVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "24875")
    @ExcelProperty("主键ID")
    private String id;

    @Schema(description = "分销商ID", example = "5749")
    @ExcelProperty("分销商ID")
    private Long distributorId;

    @Schema(description = "产品ID", example = "22107")
    @ExcelProperty("产品ID")
    private Long productId;

    @Schema(description = "产品分组ID", example = "22107")
    @ExcelProperty("产品分组ID")
    private Long categoryId;


    @Schema(description = "产品分组名字")
    @ExcelProperty("产品分组名字")
    private String categoryName;

    @Schema(description = "产品skuID", example = "21389")
    @ExcelProperty("产品skuID")
    private Long productSkuId;

    @Schema(description = "出行方案id", example = "21389")
    @ExcelProperty("出行方案id")
    private Long routePlanId;

    @Schema(description = "成本价", example = "14419")
    @ExcelProperty("成本价")
    private BigDecimal costPrice;

    @Schema(description = "销售价", example = "18903")
    @ExcelProperty("销售价")
    private BigDecimal salePrice;

    @Schema(description = "原始销售价", example = "18903")
    private BigDecimal salePriceRaw;

    @Schema(description = "产品合作开始时间")
    @ExcelProperty("产品合作开始时间")
    private LocalDateTime startDate;

    @Schema(description = "产品合作截止时间")
    @ExcelProperty("产品合作截止时间")
    private LocalDateTime endDate;

    @Schema(description = "库存")
    @ExcelProperty("库存")
    private Integer stock;

    @Schema(description = "是否启用")
    @ExcelProperty("是否启用")
    private Integer isUse;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "产品名称")
    @ExcelProperty("产品名称")
    private String productName;

    @Schema(description = "产品规格")
    @ExcelProperty("产品规格")
    private String specType;

    @Schema(description = "分销商名称")
    @ExcelProperty("分销商名称")
    private String distributorName;


    @Schema(description = "出行方案名称")
    private String planName;

    @Schema(description = "基础产品规格")
    @ExcelProperty("基础产品规格")
    List<ProductGroupRespVO> productGroupList;
}
