package com.yc.ship.module.ota.controller.admin.distributorproduct.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.math.BigDecimal;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 分销商基础产品规格新增/修改 Request VO")
@Data
public class DistributorProjectSaveReqVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "9473")
    private String id;

    @Schema(description = "分销商ID", example = "29110")
    private Long distributorId;

    @Schema(description = "产品ID", example = "29110")
    private Long productId;

    @Schema(description = "分销产品ID", example = "19426")
    private Long distributorProductId;

    @Schema(description = "基础产品ID", example = "8671")
    private Long productBaseId;

    @Schema(description = "规格ID", example = "21912")
    private Long specificationId;

    @Schema(description = "成本价格", example = "8")
    private BigDecimal costPrice;

    @Schema(description = "销售价格", example = "10")
    private BigDecimal salePrice;

    @Schema(description = "skuId", example = "10")
    private Long productSkuId;

    @Schema(description = "是否使用", example = "1")
    private Integer isUse;

}