package com.yc.ship.module.ota.controller.admin.distributorrecharge.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 分销商充值新增/修改 Request VO")
@Data
public class DistributorRechargeSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "2357")
    private Long id;

    @Schema(description = "分销商", example = "6656")
    private Long distributorId;

    @Schema(description = "充值类型 1.预付款，2.授信充正", example = "1")
    private Integer rechargeType;

    @Schema(description = "充值方式（1：转账充值，2：自动充值）")
    private Integer rechargeMode;

    @Schema(description = "充值金额")
    private BigDecimal money;

    @Schema(description = "申请人")
    private Long applyUser;

    @Schema(description = "申请时间")
    private LocalDateTime applyTime;

    @Schema(description = "状态 0.申请中，1.审核通过，2.审核驳回", example = "2")
    private Integer status;

    @Schema(description = "审核人")
    private Long auditUser;

    @Schema(description = "申请人姓名")
    private String applyUserName;

    @Schema(description = "审核人姓名")
    private String auditUserName;

    @Schema(description = "审核时间")
    private LocalDateTime auditTime;

    @Schema(description = "充值备注", example = "你猜")
    private String applyRemark;

    @Schema(description = "审核备注", example = "你说的对")
    private String auditRemark;

    @Schema(description = "充值单号ID", example = "8944")
    private Long rechargeLogId;

    @Schema(description = "附件地址", example = "https://www.iocoder.cn")
    private String fileUrl;

}