package com.yc.ship.module.ota.controller.admin.distributorselfrecharge.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.yc.ship.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDateTime;

import static com.yc.ship.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 自助充值明细分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DistributorSelfRechargePageReqVO extends PageParam {

    @Schema(description = "分销商ID", example = "22656")
    private Long distributorId;

    @Schema(description = "操作人ID", example = "29743")
    private Long accountId;

    @Schema(description = "操作人名称", example = "张三")
    private String accountName;

    @Schema(description = "充值金额")
    private BigDecimal money;

    @Schema(description = "卡号")
    private String icCard;

    @Schema(description = "充值状态，-1.充值失败，0.新充值订单，1.充值成功")
    private Integer rechargeState;

    @Schema(description = "充值记录ID", example = "21488")
    private String rechargeLogId;

    @Schema(description = "支付平台订单号", example = "1698")
    private String payOrderId;

    @Schema(description = "支付方式：1.微信 2.支付宝 3.云闪付 4.银行卡")
    private Integer payType;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "更新时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] updateTime;

}
