package com.yc.ship.module.ota.dal.dataobject.distributorauditlog;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sun.xml.bind.v2.TODO;
import com.yc.ship.framework.tenant.core.db.TenantBaseDO;
import lombok.*;

import java.math.BigDecimal;

/**
 * 分销商授信额度变更 DO
 *
 * @author 管理员
 */
@TableName("ota_distributor_audit_log")
@KeySequence("ota_distributor_audit_log_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DistributorAuditLogDO extends TenantBaseDO {

    /**
     * 额度变更ID
     */
    @TableId
    private Long id;
    /**
     * 分销商ID
     */
    private Long distributorId;
    /**
     * 变更额度名称
     */
    private String creditName;
    /**
     * 变更前额度
     */
    private BigDecimal beforeCredit;
    /**
     * 变更后额度
     */
    private BigDecimal afterCredit;
    /**
     * 变更金额
     */
    private BigDecimal creditAmount;
    /**
     * 变更类型 1.增加、2.减少
     * <p>
     * 枚举 {@link TODO amount_type 对应的类}
     */
    private Integer creditMode;
    /**
     * 备注
     */
    private String remark;

}
