package com.yc.ship.module.otc.api.store.dto;


import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Schema(description = "RPC 服务 - 门店交易信息Request DTO")
@Data
public class StoreInfoReqDTO implements Serializable {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "6825")
    @NotNull(message = "门店id不能为空")
    private Long id;

    @Schema(description = "门店编码")
    @NotNull(message = "门店编码不能为空")
    private String storeCode;

    @Schema(description = "门店名称", example = "李四")
    @NotNull(message = "门店名称不能为空")
    private String storeName;

    @Schema(description = "联系电话", example = "李四")
    @NotNull(message = "联系电话不能为空")
    private String tel;

    @Schema(description = "预付款类型 0禁用 1共享预付款 2定向授信", example = "")
    private Integer balanceType;

    @Schema(description = "授信类型 0禁用 1共享授信 2定向授信", example = "")
    private Integer creditType;
}
