package com.yc.ship.module.otc.api.agency;


import com.yc.ship.framework.common.pojo.CommonResult;
import com.yc.ship.module.otc.api.agency.AgencyAuthApi;
import com.yc.ship.module.otc.api.agency.dto.AgencyUserLoginInfoReqDTO;
import com.yc.ship.module.otc.api.agency.dto.AgencyUserLoginInfoRespDTO;
import com.yc.ship.module.otc.service.auth.AgencyLoginLogService;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

import static com.yc.ship.module.otc.enums.ErrorCodeConstants.AGENCY_LOGIN_LOG_EXCEPTION;


/**
 * @Description 旅行社授权接口
 * @Author Rocky Liu
 * @Date 2024/6/4 15:28
 */
@RestController // 提供 RESTful API 接口，给 Feign 调用
@Validated
public class AgencyAuthApiImpl implements AgencyAuthApi {

    @Resource
    private AgencyLoginLogService agencyLoginLogService;

    @Override
    public CommonResult<AgencyUserLoginInfoRespDTO> getAgencyUserLoginInfo(AgencyUserLoginInfoReqDTO reqDTO) {
        AgencyUserLoginInfoRespDTO loginLog = agencyLoginLogService.getLoginLog(reqDTO);
        if(loginLog == null){
            return CommonResult.error(AGENCY_LOGIN_LOG_EXCEPTION);
        }
        return CommonResult.success(loginLog);
    }

    @Override
    public CommonResult<AgencyUserLoginInfoRespDTO> getStoreSellerLoginInfo(AgencyUserLoginInfoReqDTO reqDTO) {
        return CommonResult.success(agencyLoginLogService.getLoginLog(reqDTO));
    }
}
