package com.yc.ship.module.otc.controller.admin.agencyLoginLog.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 旅行社信息登录记录 Response VO")
@Data
@ExcelIgnoreUnannotated
public class AgencyLoginLogRespVO {

    @Schema(description = "主键（与平台租户ID一致）", requiredMode = Schema.RequiredMode.REQUIRED, example = "20426")
    @ExcelProperty("主键（与平台租户ID一致）")
    private Long id;

    @Schema(description = "旅行社", example = "14953")
    @ExcelProperty("旅行社")
    private Long agencyId;

    @Schema(description = "门店ID", example = "9649")
    @ExcelProperty("门店ID")
    private Long storeId;

    @Schema(description = "设备ID", example = "31743")
    @ExcelProperty("设备ID")
    private Long machineId;

    @Schema(description = "登录令牌")
    @ExcelProperty("登录令牌")
    private String accessToken;

    @Schema(description = "用户ID", example = "16520")
    @ExcelProperty("用户ID")
    private Long userId;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}