package com.yc.ship.module.otc.controller.admin.cooperate.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 合作旅行社新增/修改 Request VO")
@Data
public class CooperateSaveReqVO {

    @Schema(description = "合作旅行社ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "16432")
    private Long id;

    @Schema(description = "合作旅行社名称", example = "王五")
    private String name;

    @Schema(description = "联系人姓名")
    private String contactPerson;

    @Schema(description = "联系电话")
    private String contactPhone;

    @Schema(description = "联系地址")
    private String contactAddress;

    @Schema(description = "所属区域")
    private String region;

    @Schema(description = "合作开始日期")
    private LocalDateTime startDate;

    @Schema(description = "合作结束日期")
    private LocalDateTime endDate;

    @Schema(description = "合同", example = "https://www.iocoder.cn")
    private String contractUrl;

    @Schema(description = "单位地址")
    private String unitAddress;

    @Schema(description = "开户行地址")
    private String backAddress;

    @Schema(description = "银行账户", example = "2777")
    private String backAccount;

    @Schema(description = "税号")
    private String taxNumber;

    @Schema(description = "电话")
    private String phone;

    @Schema(description = "联行号")
    private String interbankNumber;

}
