package com.yc.ship.module.otc.controller.admin.store.machineproduct;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 门店设备关联新增/修改 Request VO")
@Data
public class StoreMachineProductSaveReqVO {

    @Schema(description = "门店设备产品关联表ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "28322")
    private Long id;

    @Schema(description = "门店ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "6141")
    @NotNull(message = "门店ID不能为空")
    private Long storeId;

    @Schema(description = "产品ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "28269")
    @NotNull(message = "产品ID不能为空")
    private Long productId;

    @Schema(description = "设备ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "9296")
    @NotNull(message = "设备ID不能为空")
    private Long machineId;

}
