package com.yc.ship.module.otc.controller.admin.store.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Schema(description = "管理后台 - 旅行社门店余额 Response VO")
@Data
@ExcelIgnoreUnannotated
public class StoreBalanceRespVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "6825")
    @ExcelProperty("主键")
    private Long id;

    @Schema(description = "预付款类型 0 禁用 1共享预付款 2定向预付款", example = "")
    private Integer balanceType;

    @Schema(description = "授信类型 0 禁用 1共享授信 2定向授信", example = "")
    private Integer creditType;

    @Schema(description = "预付款余额", example = "")
    private BigDecimal paymentBalance;

    @Schema(description = "授信余额")
    private BigDecimal creditBalance;

}
