package com.yc.ship.module.otc.controller.admin.store.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Schema(description = "管理后台 - 旅行社门店 Response VO")
@Data
public class StoreSimpleRespVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "6825")
    private Long id;

    @Schema(description = "门店编码")
    private String storeCode;

    @Schema(description = "门店名称", example = "李四")
    private String storeName;

    @Schema(description = "联系电话", example = "李四")
    private String tel;

    @Schema(description = "启用授信 0否 1是")
    private Integer enableCredit;

    @Schema(description = "启用状态 0否 1是")
    private Integer isUse;

    @Schema(description = "余额")
    private BigDecimal balance;


}
