package com.yc.ship.module.otc.controller.admin.storetradelog.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Schema(description = "管理后台 - 旅行社门店交易记录：余额充值、预付购票、预付退款、余额购票新增/修改 Request VO")
@Data
public class StoreTradeLogSaveReqVO {

    @Schema(description = "交易记录ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "24548")
    private Long id;

    @Schema(description = "门店ID", example = "19597")
    private Long storeId;

    @Schema(description = "交易名称", example = "芋艿")
    private String tradeName;

    @Schema(description = "交易类型：1.管理员余额充值、2.管理员授信充值、3.余额购票、4.授信购票、5.余额退款、6.授信退款", example = "1")
    private Integer tradeType;

    @Schema(description = "交易前余额/交易前已用额度")
    private BigDecimal beforeBalance;

    @Schema(description = "交易后余额/交易后已用额度")
    private BigDecimal afterBalance;

    @Schema(description = "交易金额")
    private BigDecimal tradeAmount;

    @Schema(description = "交易类型 1.增加、2.减少")
    private Integer tradeMode;

    @Schema(description = "备注", example = "你说的对")
    private String remark;

    @Schema(description = "订单号", example = "31383")
    private String orderId;

    @Schema(description = "退单号", example = "31383")
    private String refundId;

    @Schema(description = "用户ID", example = "你猜")
    private String creator;

    @Schema(description = "租户ID", example = "你猜")
    private Long tenantId;

}
