package com.yc.ship.module.otc.dal.dataobject.link;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yc.ship.framework.tenant.core.db.TenantBaseDO;
import lombok.*;

/**
 * 链接扩展明细 DO
 *
 * @author 管理员
 */
@TableName("otc_link_detail")
@KeySequence("otc_link_detail_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class LinkDetailDO extends TenantBaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 链接管理主键id
     */
    private Long linkId;
    /**
     * 信息id
     */
    private Long sourceCode;
    /**
     * 类型（0:门店；1:售票员）
     */
    private Integer type;

}
