package com.yc.ship.module.otc.dal.dataobject.store;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yc.ship.framework.tenant.core.db.TenantBaseDO;
import lombok.*;

/**
 * 关联设备 DO
 *
 * @author 管理员
 */
@TableName("otc_agency_store_machine")
@KeySequence("otc_agency_store_machine_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class StoreMachineDO extends TenantBaseDO {

    /**
     * 门店设备关联表主键ID
     */
    @TableId
    private Long id;
    /**
     * 门店ID
     */
    private Long storeId;
    /**
     * 设备编码
     */
    private String machineId;
    /**
     * 设备名称
     */
    private String machineName;
    /**
     * 设备类型
     */
    private Integer machineType;
    /**
     * 设备状态
     */
    private Integer machineStatus;
    /**
     * 终端号
     */
    private String payTerminalCode;
    /**
     * 序列号
     */
    private String paySerialNum;
    /**
     * 应用程序版本号
     */
    private String payAppVersion;
    /**
     * 经度
     */
    private String payLongitude;
    /**
     * 纬度
     */
    private String payLatitude;
    /**
     * 是否启用
     */
    private Integer isUse;
    /**
     * 排序
     */
    private Integer sortNum;

}
