package com.yc.ship.module.otc.service.storecreditlog;

import com.yc.ship.framework.common.pojo.PageResult;
import com.yc.ship.module.otc.controller.admin.storeplatcreditlog.vo.StorePlatCreditLogPageReqVO;
import com.yc.ship.module.otc.controller.admin.storeplatcreditlog.vo.StorePlatCreditLogSaveReqVO;
import com.yc.ship.module.otc.dal.dataobject.storecreditlog.StorePlatCreditLogDO;

import javax.validation.Valid;

/**
 * 旅行社门店平台授信额度变更 Service 接口
 *
 * @author 管理员
 */
public interface StorePlatCreditLogService {

    /**
     * 创建旅行社门店平台授信额度变更
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createStorePlatCreditLog(@Valid StorePlatCreditLogSaveReqVO createReqVO);


    /**
     * 获得旅行社门店平台授信额度变更
     *
     * @param id 编号
     * @return 旅行社门店平台授信额度变更
     */
    StorePlatCreditLogDO getStorePlatCreditLog(Long id);

    /**
     * 获得旅行社门店平台授信额度变更分页
     *
     * @param pageReqVO 分页查询
     * @return 旅行社门店平台授信额度变更分页
     */
    PageResult<StorePlatCreditLogDO> getStorePlatCreditLogPage(StorePlatCreditLogPageReqVO pageReqVO);

}