package com.yc.ship.module.otc.service.storescheduling;

import com.yc.ship.framework.common.pojo.PageResult;
import com.yc.ship.module.otc.controller.admin.storescheduling.user.StoreSchedulingUserPageReqVO;
import com.yc.ship.module.otc.controller.admin.storescheduling.user.StoreSchedulingUserSaveReqVO;
import com.yc.ship.module.otc.dal.dataobject.storescheduling.StoreSchedulingUserDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 班次售票员 Service 接口
 *
 * @author 管理员
 */
public interface StoreSchedulingUserService {

    /**
     * 创建班次售票员
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createStoreSchedulingUser(@Valid StoreSchedulingUserSaveReqVO createReqVO);

    /**
     * 更新班次售票员
     *
     * @param updateReqVO 更新信息
     */
    void updateStoreSchedulingUser(@Valid StoreSchedulingUserSaveReqVO updateReqVO);

    /**
     * 删除班次售票员
     *
     * @param id 编号
     */
    void deleteStoreSchedulingUser(Long id);

    /**
     * 获得班次售票员
     *
     * @param id 编号
     * @return 班次售票员
     */
    StoreSchedulingUserDO getStoreSchedulingUser(Long id);

    /**
     * 获得班次售票员分页
     *
     * @param pageReqVO 分页查询
     * @return 班次售票员分页
     */
    PageResult<StoreSchedulingUserDO> getStoreSchedulingUserPage(StoreSchedulingUserPageReqVO pageReqVO);

    List<StoreSchedulingUserDO> getSchedulingUserList();

}
