package com.yc.ship.module.resource.controller.admin.category.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 小程序产品分类 Response VO")
@Data
@ExcelIgnoreUnannotated
public class CategoryExtraRespVO {

    @Schema(description = "同product_category主键", example = "23952")
    @ExcelProperty("同product_category主键")
    private Long id;

    @Schema(description = "分类描述", example = "你说的对")
    @ExcelProperty("分类描述")
    private String description;

    @Schema(description = "产品类型", example = "2")
    @ExcelProperty("产品类型")
    private Long type;

    @Schema(description = "商品类型 1.票务类 2.文创类 3.酒店类 4.餐饮类")
    private Integer spuType;

    @Schema(description = "评价类型")
    private String evaluateType;

    @Schema(description = "经纬度")
    @ExcelProperty("经纬度")
    private String coordinate;

    @Schema(description = "标签")
    @ExcelProperty("标签")
    private String tags;

    @Schema(description = "栏目ID")
    @ExcelProperty("栏目ID")
    private String columns;

    @Schema(description = "地址")
    @ExcelProperty("地址")
    private String address;

    @Schema(description = "联系电话")
    @ExcelProperty("联系电话")
    private String mobile;

    @Schema(description = "封面图")
    @ExcelProperty("封面图")
    private String img;

    @Schema(description = "产品简介")
    @ExcelProperty("产品简介")
    private String profile;

    @Schema(description = "产品详情")
    @ExcelProperty("产品详情")
    private String details;

    @Schema(description = "启用热门推荐")
    @ExcelProperty("启用热门推荐")
    private Integer enableHotAds;

    @Schema(description = "小程序子产品ID")
    private String appletProducts;
}
