package com.yc.ship.module.resource.controller.admin.category.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 资源-产品分类 Response VO")
@Data
@ExcelIgnoreUnannotated
public class CategoryRespVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "21187")
    @ExcelProperty("主键")
    private Long id;

    @Schema(description = "父ID", example = "27454")
    @ExcelProperty("父ID")
    private Long parentId;

    @Schema(description = "状态", example = "2")
    @ExcelProperty("状态")
    private Integer useStatus;

    @Schema(description = "编码")
    @ExcelProperty("编码")
    private String cateCode;

    @Schema(description = "分类名称", example = "芋艿")
    @ExcelProperty("分类名称")
    private String cateName;

    @Schema(description = "排序号")
    @ExcelProperty("排序号")
    private Integer sortNum;

    @Schema(description = "类型;0资源分类 1产品分类 2小程序分类", example = "1")
    @ExcelProperty("类型;0资源分类 1产品分类 2小程序分类")
    private Integer type;

    @Schema(description = "全路径名称")
    @ExcelProperty("全路径名称")
    private String fullPathName;

    @Schema(description = "父路径;逗号分隔")
    @ExcelProperty("父路径;逗号分隔")
    private String parentPath;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "关联资源数量")
    @ExcelProperty("关联资源数量")
    private Integer resourceNum;

    @Schema(description = "小程序信息")
    private CategoryExtraRespVO extraInfo;

    @Schema(description = "产品类型", example = "2")
    private Long typeId;
}
