package com.yc.ship.module.resource.controller.admin.category.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 资源-产品分类新增/修改 Request VO")
@Data
public class CategorySaveReqVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "21187")
    private Long id;

    @Schema(description = "父ID", example = "27454")
    private Long parentId;

    @Schema(description = "编码")
    private String cateCode;

    @Schema(description = "状态", example = "1")
    private Integer useStatus;

    @Schema(description = "分类名称", example = "芋艿")
    private String cateName;

    @Schema(description = "排序号")
    private Integer sortNum;

    @Schema(description = "类型;0资源分类 1产品分类 2小程序信息", example = "1")
    private Integer type;

    @Schema(description = "全路径名称")
    private String fullPathName;

    @Schema(description = "父路径;逗号分隔")
    private String parentPath;

    @Schema(description = "小程序产品信息")
    private CategoryExtraSaveReqVO extraInfo;

}