package com.yc.ship.module.resource.controller.admin.room.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import com.alibaba.excel.annotation.*;
import com.yc.ship.framework.excel.core.annotations.DictFormat;
import com.yc.ship.framework.excel.core.convert.DictConvert;

@Schema(description = "管理后台 - 资源管理-游轮房间管理 Response VO")
@Data
@ExcelIgnoreUnannotated
public class ResourceRoomRespVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "1388")
    @ExcelProperty("ID")
    private Long id;

    @Schema(description = "房间号")
    @ExcelProperty("房间号")
    private Integer roomNum;

    @Schema(description = "房型")
    @ExcelProperty("房型")
    private Long roomModelId;

    @Schema(description = "房型名称")
    @ExcelProperty("房型名称")
    private String roomModelName;

    @Schema(description = "所属游轮", example = "2552")
    @ExcelProperty("所属游轮")
    private Long shipId;

    @Schema(description = "游轮名称")
    @ExcelProperty("游轮名称")
    private String shipName;

    @Schema(description = "所属楼层")
    @ExcelProperty("所属楼层")
    private Integer floors;

    @Schema(description = "状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @ExcelProperty(value = "状态", converter = DictConvert.class)
    @DictFormat("common_status") // TODO 代码优化：建议设置到对应的 DictTypeConstants 枚举类中
    private Integer status;

}