package com.yc.ship.module.resource.controller.admin.room.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 资源管理-游轮房间管理新增/修改 Request VO")
@Data
public class ResourceRoomSaveReqVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "1388")
    private Long id;

    @Schema(description = "房间号")
    private Integer roomNum;

    @Schema(description = "房型")
    private Long roomModelId;

    @Schema(description = "所属游轮", example = "2552")
    private Long shipId;

    @Schema(description = "所属楼层")
    private Integer floors;

    @Schema(description = "房间介绍")
    private String brief;

    @Schema(description = "房间视频", example = "https://www.iocoder.cn")
    private String videoUrl;

    @Schema(description = "房间图片", example = "https://www.iocoder.cn")
    private String pciUrl;

    @Schema(description = "备注", example = "你猜")
    private String remark;

    @Schema(description = "状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @NotNull(message = "状态不能为空")
    private Integer status;

}