package com.yc.ship.module.resource.controller.admin.route.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import com.yc.ship.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static com.yc.ship.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 航线管理分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ResourceRoutePageReqVO extends PageParam {

    @Schema(description = "航线名称", example = "王五")
    private String name;

    @Schema(description = "航向（字典）")
    private Integer direction;

    @Schema(description = "登船码头", example = "28643")
    private Long onDockId;

    @Schema(description = "离船码头", example = "1161")
    private Long leaveDockId;

    @Schema(description = "途经停靠码头")
    private String midwayDockIds;

    @Schema(description = "排序")
    private Integer sort;

    @Schema(description = "状态", example = "1")
    private Integer status;

}