package com.yc.ship.module.resource.controller.admin.ship.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 资源管理-游轮管理新增/修改 Request VO")
@Data
public class ResourceShipSaveReqVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "24474")
    private Long id;

    @Schema(description = "游轮名称", example = "王五")
    private String name;

    @Schema(description = "游轮编码")
    private String code;

    @Schema(description = "所属供应商", example = "10578")
    private Long supplierId;

    @Schema(description = "游轮类型", example = "20445")
    private Long shipTypeId;

    @Schema(description = "船长（米）")
    private Double shipLength;

    @Schema(description = "船宽（米）")
    private Double shipWidth;

    @Schema(description = "船舶净吨(吨)")
    private Double shipWeight;

    @Schema(description = "吃水深度(米)")
    private Double shipDraft;

    @Schema(description = "楼层数量")
    private Integer floorsNum;

    @Schema(description = "排水量")
    private Double displacement;

    @Schema(description = "规模")
    private String shipScale;

    @Schema(description = "备注", example = "随便")
    private String remark;

    @Schema(description = "状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @NotNull(message = "状态不能为空")
    private Integer status;

}