package com.yc.ship.module.resource.dal.dataobject.category;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yc.ship.framework.tenant.core.db.TenantBaseDO;
import lombok.*;

/**
 * 小程序产品分类 DO
 *
 * @author 管理员
 */
@TableName("product_category_extra")
@KeySequence("product_category_extra_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CategoryExtraDO extends TenantBaseDO {

    /**
     * 同product_category主键
     */
    @TableId
    private Long id;
    /**
     * 分类描述
     */
    private String description;
    /**
     * 产品分类id
     */
    private Long type;
    /**
     * 商品类型 1.票务类 2.文创类 3.酒店类 4.餐饮类
     */
    private Integer spuType;
    /**
     * 评价类型
     */
    private String evaluateType;
    /**
     * 经纬度
     */
    private String coordinate;
    /**
     * 标签
     */
    private String tags;
    /**
     * 栏目
     */
    private String columns;
    /**
     * 地址
     */
    private String address;
    /**
     * 联系电话
     */
    private String mobile;
    /**
     * 封面图
     */
    private String img;
    /**
     * 产品简介
     */
    private String profile;
    /**
     * 产品详情
     */
    private String details;
    /**
     * 启用热门推荐
     */
    private Integer enableHotAds;
    /**
     * 关联子产品
     */
    private String appletProducts;
}
