package com.yc.ship.module.resource.dal.dataobject.checkchannel;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yc.ship.framework.mybatis.core.dataobject.BaseDO;
import lombok.*;

/**
 * 产品检票通道 DO
 *
 * @author 管理员
 */
@TableName("product_check_channel")
@KeySequence("product_check_channel_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CheckChannelDO extends BaseDO {

    /**
     * 主键
     */
    @TableId(type= IdType.ASSIGN_ID)
    private Long id;
    /**
     * 产品ID;基础产品或者组合产品
     */
    private Long productId;
    /**
     * 通道ID
     */
    private Long channelId;
    /**
     * 检票次数
     */
    private Integer checkTimes;

}