package com.yc.ship.module.resource.dal.dataobject.project;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yc.ship.framework.tenant.core.db.TenantBaseDO;
import lombok.*;

/**
 * 产品项目 DO
 *
 * @author 管理员
 */
@TableName("product_project")
@KeySequence("product_project_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ProjectDO extends TenantBaseDO {

    /**
     * 主键
     */
    @TableId(type= IdType.INPUT)
    private Long id;
    /**
     * 名称
     */
    private String name;
    /**
     * 父项目id
     */
    private Long parentId;
    /**
     * 编码
     */
    private String code;
    /**
     * 类型：0项目,1自定义规格,2默认规格
     */
    private Integer type;
    /**
     * 规格类型:0通用 1全价 2半价 3免票,多个逗号分隔
     */
    private String specificationType;
    /**
     * 启用状态: 0停用 1启用
     */
    private Integer useStatus;
    /**
     * 排序
     */
    private Integer sort;

}