package com.yc.ship.module.resource.dal.dataobject.site;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sun.xml.bind.v2.TODO;
import com.yc.ship.framework.tenant.core.db.TenantBaseDO;
import lombok.*;

/**
 * 站点 DO
 *
 * @author 管理员
 */
@TableName("scenic_site")
@KeySequence("scenic_site_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ScenicSiteDO extends TenantBaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 名称
     */
    private String name;
    /**
     * 站点类型;0售票站点 1检票站点
     * <p>
     * 枚举 {@link TODO site_type 对应的类}
     */
    private Integer siteType;
    /**
     * 是否启用
     * <p>
     * 枚举 {@link TODO use_status 对应的类}
     */
    private Integer isUse;
    /**
     * 排序
     */
    private Integer sortNum;
    /**
     * 经度
     */
    private String longitude;
    /**
     * 纬度
     */
    private String latitude;

}
