package com.yc.ship.module.resource.service.category;


import com.yc.ship.module.resource.controller.admin.category.vo.CategoryExtraSaveReqVO;
import com.yc.ship.module.resource.dal.dataobject.category.CategoryExtraDO;

import javax.validation.Valid;

/**
 * 小程序产品分类 Service 接口
 *
 * @author 管理员
 */
public interface CategoryExtraService {

    /**
     * 创建小程序产品分类
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createCategoryExtra(@Valid CategoryExtraSaveReqVO createReqVO);

    /**
     * 更新小程序产品分类
     *
     * @param updateReqVO 更新信息
     */
    void updateCategoryExtra(@Valid CategoryExtraSaveReqVO updateReqVO);

    /**
     * 删除小程序产品分类
     *
     * @param id 编号
     */
    void deleteCategoryExtra(Long id);

    /**
     * 获得小程序产品分类
     *
     * @param id 编号
     * @return 小程序产品分类
     */
    CategoryExtraDO getCategoryExtra(Long id);

}
