package com.yc.ship.module.resource.service.routepoint;


import com.yc.ship.framework.common.pojo.PageResult;
import com.yc.ship.module.resource.controller.admin.routepoint.vo.RoutePointPageReqVO;
import com.yc.ship.module.resource.controller.admin.routepoint.vo.RoutePointSaveReqVO;
import com.yc.ship.module.resource.dal.dataobject.routepoint.RoutePointDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 产品路线点位 Service 接口
 *
 * @author 管理员
 */
public interface RoutePointService {

    /**
     * 创建产品路线点位
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createRoutePoint(@Valid RoutePointSaveReqVO createReqVO);

    /**
     * 更新产品路线点位
     *
     * @param updateReqVO 更新信息
     */
    void updateRoutePoint(@Valid RoutePointSaveReqVO updateReqVO);

    /**
     * 删除产品路线点位
     *
     * @param id 编号
     */
    void deleteRoutePoint(Long id);

    /**
     * 获得产品路线点位
     *
     * @param id 编号
     * @return 产品路线点位
     */
    RoutePointDO getRoutePoint(Long id);

    /**
     * 获得产品路线点位分页
     *
     * @param pageReqVO 分页查询
     * @return 产品路线点位分页
     */
    PageResult<RoutePointDO> getRoutePointPage(RoutePointPageReqVO pageReqVO);

    List<RoutePointDO> selectAll();

}